package org.apache.seatunnel.datasource.plugin.http;

public class HttpConfiguration {
    private String url;
    private String token;

    private String method;

    private String request_params;

    public HttpConfiguration() {}

    public HttpConfiguration(
            String url,String method, String token,String request_params ) {
        this.url = url;
        this.token = token;
        this.method=method;
        this.request_params=request_params;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }


    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getRequest_params() {
        return request_params;
    }

    public void setRequest_params(String request_params) {
        this.request_params = request_params;
    }
}
